Package uk.ac.starlink.vo

## Interface DaliExample

-     public interface DaliExample

  Contains information about an example invocation for a DALI service.
  See Also:
    DALI v1.0 sec 2.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCapability()` | Returns the capability to which this example applies, if explicitly supplied.
    `org.w3c.dom.Element` | `getElement()` | Returns the DOM element corresponding to this example.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getGenericParameters()` | Returns a map of name->value pairs giving DALI 1.0-style generic-parameters for this example.
    `java.lang.String` | `getId()` | Returns the identifier for this example within its host document.
    `java.lang.String` | `getName()` | Returns the user-readable name for this example.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getProperties()` | Returns a map of name->value pairs giving RDFa properties for this example, excluding those that form part of a `generic-parameter` key/value pair.
    `java.net.URL` | `getUrl()` | Returns a URL pointing to the browser-renderable text (probably XHTML) for this example.

- - ### Method Detail

    - #### getUrl

          java.net.URL getUrl()

      Returns a URL pointing to the browser-renderable text (probably XHTML) for this example. This is likely to include a trailing fragment part (#identifier).
      Returns:
        example URL

    - #### getElement

          org.w3c.dom.Element getElement()

      Returns the DOM element corresponding to this example. It should be renderable in a browser, and is probably XHTML.
      Returns:
        example DOM element

    - #### getId

          java.lang.String getId()

      Returns the identifier for this example within its host document.
      Returns:
        id

    - #### getCapability

          java.lang.String getCapability()

      Returns the capability to which this example applies, if explicitly supplied. This may be null if the capability is implicit (the only one applicable to the service in question).
      Returns:
        capability URI, or null

    - #### getName

          java.lang.String getName()

      Returns the user-readable name for this example.
      Returns:
        name, should be short and plain text

    - #### getGenericParameters

          java.util.Map<java.lang.String,​java.lang.String> getGenericParameters()

      Returns a map of name->value pairs giving DALI 1.0-style generic-parameters for this example.
      Returns:
        map of generic-parameter values

    - #### getProperties

          java.util.Map<java.lang.String,​java.lang.String> getProperties()

      Returns a map of name->value pairs giving RDFa properties for this example, excluding those that form part of a `generic-parameter` key/value pair.
      Returns:
        map of non-generic-parameter property values